%global _empty_manifest_terminate_build 0
Name:           python-tooz
Version:        2.8.2
Release:        1
Summary:        Coordination library for distributed systems.
License:        Apache-2.0
URL:            https://docs.openstack.org/tooz/latest/
Source0:        https://files.pythonhosted.org/packages/e1/57/73d12ac9f49f6881f35144e299e8d61c706a9e4a72b18b2117ab9ef8f76c/tooz-2.8.2.tar.gz
BuildArch:      noarch
%description
The Tooz project aims at centralizing the most common distributed primitives
like group membership protocol, lock service and leader election by providing
a coordination API helping developers to build distributed applications.

%package -n python3-tooz
Summary:        Coordination library for distributed systems.
Provides:       python-tooz
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
# BuildRequires:  python3-fasteners
BuildRequires:  python3-futurist
BuildRequires:  python3-msgpack
# BuildRequires:  python3-oslo-serialization
# BuildRequires:  python3-oslo-utils
BuildRequires:  python3-stevedore
BuildRequires:  python3-tenacity
# BuildRequires:  python3-voluptuous
BuildRequires:  python3-requests
BuildRequires:  python3-grpcio
BuildRequires:  python3-etcd3gw
BuildRequires:  python3-sysv-ipc
BuildRequires:  python3-pymemcache
BuildRequires:  python3-PyMySQL
BuildRequires:  python3-psycopg2
BuildRequires:  python3-redis
BuildRequires:  python3-zake
BuildRequires:  python3-kazoo
# General requires
Requires:       python3-futurist
Requires:       python3-msgpack
Requires:       python3-pbr
Requires:       python3-stevedore
Requires:       python3-tenacity
Requires:       python3-voluptuous
Requires:       python3-requests
Requires:       python3-etcd3
Requires:       python3-grpcio
Requires:       python3-etcd3gw
Requires:       python3-sysv-ipc
Requires:       python3-pymemcache
Requires:       python3-PyMySQL
Requires:       python3-psycopg2
Requires:       python3-redis
Requires:       python3-zake
Requires:       python3-kazoo
%description -n python3-tooz
The Tooz project aims at centralizing the most common distributed primitives
like group membership protocol, lock service and leader election by providing
a coordination API helping developers to build distributed applications.

%package help
Summary:        Coordination library for distributed systems.
Provides:       python3-tooz-doc
%description help
The Tooz project aims at centralizing the most common distributed primitives
like group membership protocol, lock service and leader election by providing
a coordination API helping developers to build distributed applications.

%prep
%autosetup -n tooz-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-tooz -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
Tue Feb 15 2022 liksh <li_kunshan@163.com> - 2.8.2-1
- update to 2.8.2-1 for openstack Wallaby

* Mon Aug 09 2021 OpenStack_SIG <openstack@openeuler.org> - 2.8.1-1
- Package Spec generate

* Thu Jan 28 2021 zhangy <zhangy1317@foxmail.com>
- Add buildrequires

* Thu Dec 31 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
